Security Lab

Межсайтовый скриптинг в YaBB

Дата публикации:10.11.2005
Дата изменения:17.10.2006
Всего просмотров:2715
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: YaBB 2.x
Уязвимые версии: YaBB 2.0 и более ранние версии

Описание:
Уязвимость позволяет удаленном пользователю произвести XSS нападение и получить доступ к потенциально важным данным других пользователей.

Уязвимость обнаружена при обработке загрузки вложений. Удаленный пользователь может загрузить специально сформированное валидное gif изображение, содержащее злонамеренный HTML код, и выполнить его в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.yabbforum.com

Решение: Установите последнюю версию (2.1) с сайта производителя.

Источник:

Ссылки: YaBB Attachment Script Insertion Vulnerability